Package twisted :: Package protocols :: Module htb

[show private | hide private]
[frames | no frames]

## Module twisted.protocols.htb

Heirarchial Token Bucket traffic shaping.

Patterened after Martin Devera's Hierarchical Token Bucket traffic shaper for the Linux kernel<http://luxik.cdi.cz/~devik/qos/htb/>.

Author: Kevin Turner<mailto:acapnotic@twistedmatrix.com>

See also:
  HTB Linux queuing discipline manual - user guide <http://luxik.cdi.cz/~devik/qos/htb/manual/userg.htm> , Token Bucket Filter in Linux Advanced Routing & Traffic Control HOWTO<http://lartc.org/howto/lartc.qdisc.classless.html#AEN682>

Classes
`Bucket` | Token bucket, or something like it.
`FilterByHost` | A bucket filter with a bucket for each host.
`FilterByServer` | A bucket filter with a bucket for each service.
`HierarchicalBucketFilter` | I filter things into buckets, and I am nestable.
`ShapedConsumer` | I wrap a Consumer and shape the rate at which it receives data.
`ShapedProtocolFactory` | I dispense Protocols with traffic shaping on their transports.
`ShapedTransport` | I wrap a Transport and shape the rate at which it receives data.

Variable Summary
`str` | `__version__`
`int` | `False`
`MetaInterface` | `IBucketFilter`
`MetaInterface` | `Interface`
`_Feature` | `nested_scopes`
`tuple` | `StringTypes`
`int` | `True`

Variable Details

### __version__

  Type:
    `str`
  Value:

        '1.1'

### False

  Type:
    `int`
  Value:

        0

### IBucketFilter

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.protocols.htb.IBucketFilter'>

### Interface

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.python.components.Interface'>

### nested_scopes

  Type:
    `_Feature`
  Value:

        _Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'alpha', 0), 16)

### StringTypes

  Type:
    `tuple`
  Value:

        (<type 'str'>, <type 'unicode'>)

### True

  Type:
    `int`
  Value:

        1

Generated by Epydoc 1.1 on Thu May 8 13:18:46 2003 | http://epydoc.sf.net